Bug 244175 - yumex causes X to work harder than seems necessary
yumex causes X to work harder than seems necessary
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 08:18 EDT by Tom Horsley
Modified: 2008-05-15 13:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 13:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2007-06-14 08:18:17 EDT
Description of problem:

When yumex is in the running transaction mode and drawing progress bars,
the X server shoots up to around 85% of the cpu as though (just guessing here)
the bars are being drawn over and over in a tight cpu loop even if there
is no actual progress change that should show up yet. When yumex is finished,
the X server drops back to its normal 1% or so (as shown with top).

Version-Release number of selected component (if applicable):
yumex-1.9.8-2.0.fc7

How reproducible:
I see this behavior every time I happen to be running top and doing
updates with yumex at the same time.

Steps to Reproduce:
1. see description
2.
3.
  
Actual results:
see description

Expected results:
less beating on X server

Additional info:

I certainly can't call this a critical problem, but it is stealing cycles
that could be used actually doing the install, so I thought I'd mention
it in a bugzilla :-).
Comment 1 Tim Lauridsen 2007-06-14 14:24:29 EDT
Thanks,

please try to checkout the latest yumex SVN and try it, i have made some changes
to make yumex more gentle to X.

Yumex SVN checkout instructions here:
http://www.yum-extender.org/wiki/Yumex/Development#head-73181305a483e5dc153c264d062ef16f403961d3
Comment 2 Tom Horsley 2007-06-14 19:41:54 EDT
I'm updating my system now with the SVN version, and I don't notice much
difference. During the downloading phase, Xorg stays around 3% tops when
yumex is showing download progress, but once it hits "Running Transaction"
Xorg jumps up to around 80% while the progress bar is being updated
(and drops back down during the pause between finishing one package and
starting another).

Since I'm installing lots of big updates like evolution, I get a good
chance to watch it. Xorg seems to work harder the bigger the package is
and the slower the progress bar runs up to 100%.
Comment 3 Tim Lauridsen 2007-06-15 09:07:23 EDT
Please try again with current SVN version, i have made some changes so the
progressbar widgets is not updated if there is no changes in the current progress.
Comment 4 Tom Horsley 2007-06-15 18:21:50 EDT
I don't know, it might be a little better, but it still seems to hit Xorg harder
when the progress bar is moving slower (kernel and kernel-devel both managed
to push it up above 80% in tonight's update :-).
Comment 5 Tim Lauridsen 2007-06-16 03:46:06 EDT
What system are you checking on.

ON my systems running yumex installing something big like openoffice, i see the
following.
yumex is running and top i running in a terminal window, while download X looks
fine, if i move the terminal over the yumex window so it has to redraw the X
peak the CPU for a couple of second, and then fall down again.
Under the installation the X peeks the CPU to 25-50%. My systems are new and
fast, so it might look worse on older systems.
I will try to reduce it more, if i can
Comment 6 Tom Horsley 2007-06-16 16:10:48 EDT
Actually the absolute numbers didn't stand out so much as the contrast
between when it is downloading and when it is running transaction, drawing
very similar progress bars in both cases with somewhere around 1% during
download and 80% during transaction.

My system is described in more detail here:

http://home.att.net/~Tom.Horsley/zooty/zooty.html

The short summary is: AMD Athlon 64 X2 4400+ dual core cpu, 2 gig memory.

In any case, like I said in the initial report, doesn't seem like
an earth shattering problem (if its actually a problem at all :-).
Comment 7 Michael Möllney 2007-07-18 16:21:04 EDT
I can watch the described behavior, too.

On my installation the yumex console window seems to be resized a lot during
transaction. The lower border of the console window is jumping all the time.
Maybe there is a redraw/resize of the console window all the time.

Version:
yumex-1.9.9-1.0.fc7


Comment 8 Tim Lauridsen 2007-07-30 06:36:50 EDT
Please retest with yumex -1.9.10
Comment 9 Michael Möllney 2007-07-31 15:41:14 EDT
Tried with

yumex-1.9.10-2.0.fc7

but still up and down jumping of the lower border of the console window in yumex.
The progress bars and the the text above the progress bars is jumping, too.
Looks like the space between the lower border of the window and the lower border
of the console is reorganized quickly from time to time.

btw.: German surface...   did not try with other language.
Comment 10 Bug Zapper 2008-05-14 09:04:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.